import { MetaIPType, MetaDiscovererType } from '../meta';

export interface Zone {
  network?: string;
  iface?: string;
  metaIPType?: MetaIPType;
  address?: string;
  mac?: string;

  meta?: Map<string, Map<string, string>>;
  discoveredBy?: MetaDiscovererType[];
  discoveredDate?: Date;

  hostList?: any[];
}
